- Main Page
- Namespaces
- Classes
- Files
- Directories

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CglLandP::Parameters Class Reference

Class storing parameters. More...

`#include <CglLandP.hpp>`

Inheritance diagram for CglLandP::Parameters:

[legend]
Collaboration diagram for CglLandP::Parameters:

[legend]
List of all members.

## Public Member Functions
| Parameters ()
| Default constructor (with default values).
| Parameters (const Parameters &other)
| Copy constructor.
Parameters & | operator= (const Parameters &other)
| Assignment opertator.
## Public Attributes
integer parameters
int | pivotLimit
| Max number of pivots before we generate the cut 20.
int | pivotLimitInTree
| Max number of pivots at regular nodes.
int | maxCutPerRound
| Maximum number of cuts generated at a given round.
int | failedPivotLimit
| Maximum number of failed pivots before aborting.
int | degeneratePivotLimit
| maximum number of consecutive degenerate pivots 0
int | extraCutsLimit
| Maximum number of extra rows to generate per round.
double parameters
double | pivotTol
| Tolerance for small pivots values (should be the same as the solver.
double | away
| A variable have to be at least away from integrity to be generated.
double | timeLimit
| Total time limit for cut generation.
double | singleCutTimeLimit
| Time limit for generating a single cut.
double | rhsWeight
| Weight to put in RHS of normalization if static.
Flags
bool | useTableauRow
| Do we use tableau row or the disjunction (I don't really get that there should be a way to always use the tableau).
bool | modularize
| Do we apply Egon Balas's Heuristic for modularized cuts.
bool | strengthen
| Do we strengthen the final cut (always do if modularize is 1).
bool | countMistakenRc
| Wether to limit or not the number of mistaken RC (when perturbation is applied).
SeparationSpaces | sepSpace
| Work in the reduced space (only non-structurals enter the basis).
bool | perturb
| Apply perturbation procedure.
Normalization | normalization
| How to weight normalization.
RhsWeightType | rhsWeightType
| How to weight RHS of normalization.
LHSnorm | lhs_norm
| How to weight LHS of normalization.
ExtraCutsMode | generateExtraCuts
| Generate extra constraints from optimal lift-and-project basis.
SelectionRules | pivotSelection
| Which rule to apply for choosing entering and leaving variables.

## Detailed Description

Class storing parameters.

Remarks:
  I take all parameters from Ionut's code

Definition at line 107 of file CglLandP.hpp.

## Constructor & Destructor Documentation

CglLandP::Parameters::Parameters | ( |  | ) |

Default constructor (with default values).

CglLandP::Parameters::Parameters | ( | const Parameters & | other | ) |

Copy constructor.

## Member Function Documentation

Parameters& CglLandP::Parameters::operator= | ( | const Parameters & | other | ) |

Assignment opertator.

## Member Data Documentation

int CglLandP::Parameters::pivotLimit

Max number of pivots before we generate the cut 20.

Definition at line 121 of file CglLandP.hpp.

int CglLandP::Parameters::pivotLimitInTree

Max number of pivots at regular nodes.

Put a value if you want it lower than the global pivot limit. 100.

Definition at line 124 of file CglLandP.hpp.

int CglLandP::Parameters::maxCutPerRound

Maximum number of cuts generated at a given round.

Definition at line 126 of file CglLandP.hpp.

int CglLandP::Parameters::failedPivotLimit

Maximum number of failed pivots before aborting.

Definition at line 128 of file CglLandP.hpp.

int CglLandP::Parameters::degeneratePivotLimit

maximum number of consecutive degenerate pivots 0

Definition at line 131 of file CglLandP.hpp.

int CglLandP::Parameters::extraCutsLimit

Maximum number of extra rows to generate per round.

Definition at line 133 of file CglLandP.hpp.

double CglLandP::Parameters::pivotTol

Tolerance for small pivots values (should be the same as the solver.

Definition at line 138 of file CglLandP.hpp.

double CglLandP::Parameters::away

A variable have to be at least away from integrity to be generated.

Definition at line 140 of file CglLandP.hpp.

double CglLandP::Parameters::timeLimit`[mutable]`

Total time limit for cut generation.

Definition at line 142 of file CglLandP.hpp.

double CglLandP::Parameters::singleCutTimeLimit

Time limit for generating a single cut.

Definition at line 144 of file CglLandP.hpp.

double CglLandP::Parameters::rhsWeight

Weight to put in RHS of normalization if static.

Definition at line 146 of file CglLandP.hpp.

bool CglLandP::Parameters::useTableauRow

Do we use tableau row or the disjunction (I don't really get that there should be a way to always use the tableau).

Definition at line 152 of file CglLandP.hpp.

bool CglLandP::Parameters::modularize

Do we apply Egon Balas's Heuristic for modularized cuts.

Definition at line 154 of file CglLandP.hpp.

bool CglLandP::Parameters::strengthen

Do we strengthen the final cut (always do if modularize is 1).

Definition at line 156 of file CglLandP.hpp.

bool CglLandP::Parameters::countMistakenRc

Wether to limit or not the number of mistaken RC (when perturbation is applied).

Definition at line 158 of file CglLandP.hpp.

SeparationSpaces CglLandP::Parameters::sepSpace

Work in the reduced space (only non-structurals enter the basis).

Definition at line 160 of file CglLandP.hpp.

bool CglLandP::Parameters::perturb

Apply perturbation procedure.

Definition at line 162 of file CglLandP.hpp.

Normalization CglLandP::Parameters::normalization

How to weight normalization.

Definition at line 164 of file CglLandP.hpp.

RhsWeightType CglLandP::Parameters::rhsWeightType

How to weight RHS of normalization.

Definition at line 166 of file CglLandP.hpp.

LHSnorm CglLandP::Parameters::lhs_norm

How to weight LHS of normalization.

Definition at line 168 of file CglLandP.hpp.

ExtraCutsMode CglLandP::Parameters::generateExtraCuts

Generate extra constraints from optimal lift-and-project basis.

Definition at line 170 of file CglLandP.hpp.

SelectionRules CglLandP::Parameters::pivotSelection

Which rule to apply for choosing entering and leaving variables.

Definition at line 172 of file CglLandP.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.57.1/Cgl/src/CglLandP/CglLandP.hpp